(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     99980,       2289]
NotebookOptionsPosition[     52862,       1425]
NotebookOutlinePosition[     99141,       2277]
CellTagsIndexPosition[     99098,       2274]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"e", "=", 
   RowBox[{"1.60", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "19"}]}]}]}], " ", 
  RowBox[{"(*", 
   RowBox[{"Electon", " ", "Charge"}], "*)"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m", "=", 
   RowBox[{"9.11", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "31"}]}]}]}], 
  RowBox[{"(*", 
   RowBox[{"Electron", " ", "Mass"}], "*)"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[Epsilon]", "0"], "=", 
   RowBox[{"8.85", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "12"}]}]}]}], " ", 
  RowBox[{"(*", 
   RowBox[{"Vacuum", " ", "Permittivity"}], "*)"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", "=", 
   RowBox[{"3.00", "*", 
    RowBox[{"10", "^", "8"}]}]}], " ", 
  RowBox[{"(*", 
   RowBox[{"Speed", " ", "of", " ", "Light"}], "*)"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"h", "=", 
   RowBox[{"6.63", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "34"}]}]}]}], " ", 
  RowBox[{"(*", 
   RowBox[{"Planck", " ", "Constant"}], "*)"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[HBar]", "=", 
   RowBox[{"h", "/", 
    RowBox[{"(", 
     RowBox[{"2", "\[Pi]"}], ")"}]}]}], " ", 
  RowBox[{"(*", 
   RowBox[{"Reduced", " ", "Planck", " ", "Constant"}], "*)"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["a", "0"], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"4", "\[Pi]", "*", 
      SubscriptBox["\[Epsilon]", "0"], "*", 
      RowBox[{"\[HBar]", "^", "2"}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"m", "*", 
      RowBox[{"e", "^", "2"}]}], ")"}]}]}], " ", 
  RowBox[{"(*", 
   RowBox[{"Bohr", " ", "Radius"}], "*)"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["v", "0"], "=", 
   RowBox[{
    RowBox[{"e", "^", "2"}], "/", 
    RowBox[{"(", 
     RowBox[{"4", "\[Pi]", "*", 
      SubscriptBox["\[Epsilon]", "0"], "*", "\[HBar]"}], ")"}]}]}], " ", 
  RowBox[{"(*", 
   RowBox[{"Velocity", " ", "at", " ", "Bohr", " ", "Radius"}], "*)"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R", "=", 
   RowBox[{"m", "*", 
    RowBox[{
     RowBox[{"e", "^", "4"}], "/", 
     RowBox[{"(", 
      RowBox[{"2", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"4", "\[Pi]", "*", 
          SubscriptBox["\[Epsilon]", "0"]}], ")"}], "^", "2"}], "*", 
       RowBox[{"\[HBar]", "^", "2"}]}], ")"}]}]}]}], " ", 
  RowBox[{"(*", 
   RowBox[{"Rydberg", " ", "Constant"}], "*)"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ry", "=", 
   RowBox[{"m", "*", 
    RowBox[{
     RowBox[{"e", "^", "4"}], "/", 
     RowBox[{"(", 
      RowBox[{"4", "\[Pi]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"4", "\[Pi]", "*", 
          SubscriptBox["\[Epsilon]", "0"]}], ")"}], "^", "2"}], "*", 
       RowBox[{"\[HBar]", "^", "3"}]}], ")"}]}]}]}], " ", 
  RowBox[{"(*", 
   RowBox[{"Rydberg", " ", "Frequency"}], "*)"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   FractionBox[
    SuperscriptBox["e", "2"], 
    RowBox[{"2", 
     SubscriptBox["\[Epsilon]", "0"], "*", "h", "*", "c"}]]}], " ", 
  RowBox[{"(*", 
   RowBox[{"fine", " ", "structure", " ", "constant"}], "*)"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"n", " ", 
  RowBox[{"(*", 
   RowBox[{"Principal", " ", "Quantum", " ", "Number"}], "*)"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"l", " ", 
  RowBox[{"(*", 
   RowBox[{"Angular", " ", "Momentum", " ", "Quantum", " ", "Number"}], 
   "*)"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"n\[Prime]", ";"}], "\[IndentingNewLine]", 
 RowBox[{"l\[Prime]", " ", 
  RowBox[{"(*", 
   RowBox[{"Quantum", " ", "Numbers", " ", "of", " ", "Final", " ", "State"}],
    "*)"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["a", "n"], "=", 
   RowBox[{
    RowBox[{"n", "^", "2"}], "*", 
    SubscriptBox["a", "0"]}]}], " ", 
  RowBox[{"(*", 
   RowBox[{"Semimajor", " ", "Axis"}], "*)"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b", "=", 
   RowBox[{"n", "*", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"l", 
      RowBox[{"(", 
       RowBox[{"l", "+", "1"}], ")"}]}], "]"}], "*", 
    SubscriptBox["a", "0"]}]}], " ", 
  RowBox[{"(*", 
   RowBox[{"Semiminor", " ", "Axis"}], "*)"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]", "=", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"1", "-", 
      RowBox[{
       RowBox[{"b", "^", "2"}], "/", 
       RowBox[{"a", "^", "2"}]}]}], "]"}]}], " ", 
   RowBox[{"(*", "Eccentricity", "*)"}], ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"dif", "[", 
     RowBox[{"n_", ",", " ", "n\[Prime]_", ",", " ", "l_"}], "]"}], ":=", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", " ", 
     RowBox[{
      RowBox[{"n\[Prime]", " ", "==", "n"}], ",", " ", 
      RowBox[{
       RowBox[{"a", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1.5", "*", "n", "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"n", "^", "2"}], " ", "-", " ", 
              RowBox[{"l", "^", "2"}]}], ")"}], "^", 
            RowBox[{"(", "0.5", ")"}]}]}], ")"}], "^", 
         RowBox[{"(", "2", ")"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"IntegerPart", "[", "a", "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"a", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FractionBox[
            RowBox[{
             RowBox[{"(", 
              RowBox[{"-", "1"}], ")"}], "^", 
             RowBox[{"(", 
              RowBox[{"n\[Prime]", "-", "l"}], ")"}]}], 
            RowBox[{"(", 
             RowBox[{"4", "*", 
              RowBox[{"Factorial", "[", 
               RowBox[{
                RowBox[{"2", "*", "l"}], "-", "1"}], "]"}]}], ")"}]], "*", 
           RowBox[{"Sqrt", "[", 
            RowBox[{
             RowBox[{"Factorial", "[", 
              RowBox[{"n", "+", "l"}], "]"}], "*", 
             RowBox[{"(", 
              FractionBox[
               RowBox[{"Factorial", "[", 
                RowBox[{"n\[Prime]", "+", "l", "-", "1"}], "]"}], 
               RowBox[{
                RowBox[{"Factorial", "[", 
                 RowBox[{"n", "-", "l", "-", "1"}], "]"}], "*", 
                RowBox[{"Factorial", "[", 
                 RowBox[{"n\[Prime]", "-", "l"}], "]"}]}]], ")"}]}], "]"}], 
           "*", 
           RowBox[{"(", 
            FractionBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"n", "-", "n\[Prime]"}], ")"}], "^", 
                RowBox[{"(", 
                 RowBox[{"n", "+", "n\[Prime]", "-", 
                  RowBox[{"2", "*", "l"}], "-", "2"}], ")"}]}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"4", "*", "n", "*", "n\[Prime]"}], ")"}], "^", 
                RowBox[{"(", 
                 RowBox[{"l", "+", "1"}], ")"}]}]}], ")"}], 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"n", "+", "n\[Prime]"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"n", "+", "n\[Prime]"}], ")"}]}]], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Hypergeometric2F1", "[", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"(", 
                 RowBox[{"n", "-", "l", "-", "1"}], ")"}]}], ",", 
               RowBox[{"-", 
                RowBox[{"(", 
                 RowBox[{"n\[Prime]", "-", "l"}], ")"}]}], ",", 
               RowBox[{"2", "*", "l"}], ",", 
               FractionBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "4"}], "*", "n", "*", "n\[Prime]"}], ")"}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"n", "-", "n\[Prime]"}], ")"}], "^", "2"}]]}], 
              "]"}], "-", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                FractionBox[
                 RowBox[{"(", 
                  RowBox[{"n", "-", "n\[Prime]"}], ")"}], 
                 RowBox[{"(", 
                  RowBox[{"n", "+", "n\[Prime]"}], ")"}]], ")"}], "^", "2"}], 
              "*", 
              RowBox[{"Hypergeometric2F1", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"(", 
                   RowBox[{"n", "-", "l", "-", "1"}], ")"}]}], "-", "2"}], 
                ",", 
                RowBox[{"-", 
                 RowBox[{"(", 
                  RowBox[{"n\[Prime]", "-", "l"}], ")"}]}], ",", 
                RowBox[{"2", "*", "l"}], ",", 
                FractionBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "4"}], "*", "n", "*", "n\[Prime]"}], ")"}], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"n", "-", "n\[Prime]"}], ")"}], "^", "2"}]]}], 
               "]"}]}]}], ")"}]}], ")"}], "^", "2"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"N", "[", "a", "]"}]}]}], "]"}]}], ";"}], "  ", "\n", 
  RowBox[{"(*", 
   RowBox[{"Dipole", " ", "Moment", " ", "Function"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"l", "=", "40"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"l\[Prime]", "=", 
    RowBox[{"l", "-", "1"}]}], ";"}], "\n", 
  RowBox[{"(*", 
   RowBox[{"Specify", " ", "Quantum", " ", "State"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"getOmega", "[", 
     RowBox[{"n_", ",", "n\[Prime]_"}], "]"}], "=", 
    RowBox[{"N", "[", 
     RowBox[{"R", "*", 
      FractionBox[
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"-", "1"}], 
          RowBox[{"(", 
           RowBox[{"n", "^", "2"}], ")"}]], "-", 
         RowBox[{"(", 
          FractionBox[
           RowBox[{"-", "1"}], 
           RowBox[{"(", 
            RowBox[{"n\[Prime]", "^", "2"}], ")"}]], ")"}]}], ")"}], 
       "\[HBar]"]}], "]"}]}], ";"}], "\n", 
  RowBox[{"(*", 
   RowBox[{
   "Function", " ", "to", " ", "get", " ", "angular", " ", "momentum", " ", 
    "from", " ", "quantum", " ", "state"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"powerQuantumApproach", "[", 
     RowBox[{
     "\[Omega]_", ",", "n_", ",", "n\[Prime]_", ",", "l_", ",", 
      "l\[Prime]_"}], "]"}], "=", 
    RowBox[{
     FractionBox[
      RowBox[{"(", 
       RowBox[{"\[HBar]", "*", 
        RowBox[{"\[Omega]", "^", "4"}], "*", 
        RowBox[{"Max", "[", 
         RowBox[{"l", ",", "l\[Prime]"}], "]"}]}], ")"}], 
      RowBox[{"(", 
       RowBox[{"3", 
        RowBox[{"\[Pi]", "^", "3"}], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", "l"}], "+", "1"}], ")"}], "*", 
        RowBox[{"Ry", "^", "3"}]}], ")"}]], "*", 
     RowBox[{"dif", "[", 
      RowBox[{"n", ",", "n\[Prime]", ",", "l"}], "]"}], "*", 
     RowBox[{"10", "^", "9"}]}]}], ";"}], "\n", 
  RowBox[{"(*", 
   RowBox[{
   "Power", " ", "formula", " ", "in", " ", "quantum", " ", "approach", " ", 
    RowBox[{"pg", ".", " ", "47"}], " ", "Jasper"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"powerQuantumData", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n\[Prime]", ",", 
       RowBox[{"l", "-", "1"}], ",", 
       RowBox[{"getOmega", "[", 
        RowBox[{"n", ",", "n\[Prime]"}], "]"}], ",", 
       RowBox[{"powerQuantumApproach", "[", 
        RowBox[{
         RowBox[{"getOmega", "[", 
          RowBox[{"n", ",", "n\[Prime]"}], "]"}], ",", "n", ",", "n\[Prime]", 
         ",", "l", ",", "l\[Prime]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"n\[Prime]", ",", "l", ",", 
       RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], "\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Plot", " ", "a", " ", "table", " ", "of", " ", "n"}], ",", " ", 
    "n\[Prime]", ",", " ", "\[Omega]", ",", " ", "Power"}], "*)"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p1", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"powerQuantumData", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "4"}], "}"}]}], "]"}], "]"}], "]"}]}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Graph", " ", "\[Omega]", " ", "vs", " ", "Power"}], "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.8993869967363367`*^9, 3.8993870194395905`*^9}, {
   3.899387085672534*^9, 3.899387092615202*^9}, {3.8993871715439854`*^9, 
   3.8993872053388157`*^9}, {3.899387251975933*^9, 3.8993873935458145`*^9}, {
   3.899388818209284*^9, 3.8993888736385345`*^9}, {3.8993908689154882`*^9, 
   3.8993908694904103`*^9}, {3.899391084395541*^9, 3.8993910849065113`*^9}, {
   3.899391354307105*^9, 3.899391354786097*^9}, {3.8993914646119165`*^9, 
   3.8993914817546344`*^9}, 3.8993923923929586`*^9, {3.8993924482174664`*^9, 
   3.899392449296286*^9}},
 Background->GrayLevel[0.85],
 CellLabel->
  "In[461]:=",ExpressionUUID->"e65ae70b-243e-4fb6-81c8-f06387f540bc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "40", ",", "39", ",", "1.0785005371965396`*^13", ",", 
     "1.1988525386250574`*^-29"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "41", ",", "39", ",", "1.0166336329212219`*^13", ",", 
     "1.1937325942753464`*^-28"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "42", ",", "39", ",", "9.591329688317354`*^12", ",", 
     "6.323790354307657`*^-28"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "43", ",", "39", ",", "9.055971442673256`*^12", ",", 
     "2.370412239009786`*^-27"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "44", ",", "39", ",", "8.556698476931225`*^12", ",", 
     "7.056328925923625`*^-27"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "45", ",", "39", ",", "8.090339126765342`*^12", ",", 
     "1.775482621535382`*^-26"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "46", ",", "39", ",", "7.654062683641659`*^12", ",", 
     "3.9252799057663213`*^-26"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "47", ",", "39", ",", "7.245336338613241`*^12", ",", 
     "7.827726946589694`*^-26"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "48", ",", "39", ",", "6.861888338512375`*^12", ",", 
     "1.4347499055746894`*^-25"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "49", ",", "39", ",", "6.501676350851039`*^12", ",", 
     "2.451249006382552`*^-25"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "50", ",", "39", ",", "6.162860212551656`*^12", ",", 
     "3.9460481216889396`*^-25"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "51", ",", "39", ",", "5.84377838173391`*^12", ",", 
     "6.036743775701235`*^-25"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "52", ",", "39", ",", "5.542927528448826`*^12", ",", 
     "8.836604402179613`*^-25"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "53", ",", "39", ",", "5.258944795117949`*^12", ",", 
     "1.2446370441654028`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "54", ",", "39", ",", "4.990592334901226`*^12", ",", 
     "1.6946834929825545`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "55", ",", "39", ",", "4.736743799729785`*^12", ",", 
     "2.2392848915140953`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "56", ",", "39", ",", "4.496372502014728`*^12", ",", 
     "2.8809159118246495`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "57", ",", "39", ",", "4.2685410172295293`*^12", ",", 
     "3.618824639735883`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "58", ",", "39", ",", "4.052392030369875`*^12", ",", 
     "4.449012488145691`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "59", ",", "39", ",", "3.847140259084961`*^12", ",", 
     "5.3643901041041995`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "60", ",", "39", ",", "3.6520653111417217`*^12", ",", 
     "6.355078543110385`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "61", ",", "39", ",", "3.4665053547085767`*^12", ",", 
     "7.4088194605273`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "62", ",", "39", ",", "3.2898514974391255`*^12", ",", 
     "8.511456871733888`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "63", ",", "39", ",", "3.1215427850759253`*^12", ",", 
     "9.64745511537677`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "64", ",", "39", ",", "2.961061742749428`*^12", ",", 
     "1.0800421946262355`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "65", ",", "39", ",", "2.80793039270105`*^12", ",", 
     "1.1953611222023686`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "66", ",", "39", ",", "2.661706691126533`*^12", ",", 
     "1.30903856442628`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "67", ",", "39", ",", "2.5219813344748027`*^12", ",", 
     "1.419462588362725`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "68", ",", "39", ",", "2.388374892061541`*^12", ",", 
     "1.5251077762921109`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "69", ",", "39", ",", "2.260535227442282`*^12", ",", 
     "1.624563376036787`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "70", ",", "39", ",", "2.1381351757832273`*^12", ",", 
     "1.7165548823844233`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "71", ",", "39", ",", "2.02087044859113`*^12", ",", 
     "1.7999593348910987`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "72", ",", "39", ",", "1.9084577407181562`*^12", ",", 
     "1.8738148225636963`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "73", ",", "39", ",", "1.800633017628622`*^12", ",", 
     "1.937324819689017`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "74", ",", "39", ",", "1.6971499635733923`*^12", ",", 
     "1.9898580507883076`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "75", ",", "39", ",", "1.5977785736245032`*^12", ",", 
     "2.0309446081396548`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "76", ",", "39", ",", "1.5023038745278271`*^12", ",", 
     "2.0602690337836184`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "77", ",", "39", ",", "1.4105247610781912`*^12", ",", 
     "2.077661039525234`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "78", ",", "39", ",", "1.322252936245468`*^12", ",", 
     "2.083084481839353`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "79", ",", "39", ",", "1.237311944612598`*^12", ",", 
     "2.0766251409045796`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "80", ",", "39", ",", "1.1555362898534353`*^12", ",", 
     "2.0584777798546465`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "81", ",", "39", ",", "1.0767706280020902`*^12", ",", 
     "2.0289328859721237`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "82", ",", "39", ",", "1.000869029165141`*^12", ",", 
     "1.988363422942257`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "83", ",", "39", ",", "9.276943011200558`*^11", ",", 
     "1.9372118543271034`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "84", ",", "39", ",", "8.571173689414244`*^11", ",", 
     "1.875977634039321`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "85", ",", "39", ",", "7.890167054131879`*^11", ",", 
     "1.8052052998188105`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "86", ",", "39", ",", "7.232778075303999`*^11", ",", 
     "1.725473249642622`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "87", ",", "39", ",", "6.597927148770457`*^11", ",", 
     "1.6373832265927124`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "88", ",", "39", ",", "5.984595660948921`*^11", ",", 
     "1.5415504812850983`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "89", ",", "39", ",", "5.391821900389212`*^11", ",", 
     "1.438594516082738`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "90", ",", "39", ",", "4.818697285534216`*^11", ",", 
     "1.3291302304225604`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "91", ",", "39", ",", "4.264362881043469`*^11", ",", 
     "1.213759160014918`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "92", ",", "39", ",", "3.7280061777250085`*^11", ",", 
     "1.0930602915071117`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "93", ",", "39", ",", "3.2088581135226733`*^11", ",", 
     "9.675795483294801`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "94", ",", "39", ",", "2.7061903151539624`*^11", ",", 
     "8.378162814995531`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "95", ",", "39", ",", "2.2193125419161066`*^11", ",", 
     "7.04203481282516`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "96", ",", "39", ",", "1.747570314901798`*^11", ",", 
     "5.6707474252641395`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "97", ",", "39", ",", "1.2903427164126648`*^11", ",", 
     "4.2660225301364375`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "98", ",", "39", ",", "8.470403457484573`*^10", ",", 
     "2.826727109796146`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "99", ",", "39", ",", "4.1710341880004616`*^10", ",", 
     "1.3476884713743258`*^-24"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8993870110426493`*^9, {3.8993874195099916`*^9, 3.8993874223533916`*^9}, {
   3.8993888545146914`*^9, 3.899388877396539*^9}, 3.899390870897374*^9, 
   3.8993910857131767`*^9, 3.899391355580723*^9, {3.8993914659705963`*^9, 
   3.8993914823675146`*^9}, 3.8993923931210036`*^9, 3.899392450035116*^9, 
   3.8993926711831455`*^9},
 CellLabel->
  "Out[485]=",ExpressionUUID->"a6b791b5-153d-4f5d-ba84-8d3cf1175a76"],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.011000000000000001`], 
    AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJwB0QMu/CFib1JlAgAAADwAAAACAAAAy3oE1Cieo0I/Z0py/2TuOXD4K7sR
fqJCLyPCzFrqIjq1+hWZT3KhQs3H69YVDUk6g+L/6wN5oEKQk7SAtXlnOuYM
huQLIZ9CzG8e1Hp4gTpetbcot26dQhr6hqG6+pU6o+bXv2bYm0I+u3iy2kuo
OvfUgsu+W5pChKtXpMM5uDqAQemqofaYQmr7X0OhM8Y6KAz2byinl0JWF+Lo
MvfSOqAeBWCca5ZC5ZWlG/SH3jqkl55WcUKVQr2Hx1+AWuc6TgPI50AqlEJl
FfyvrBfxOsy3RyXGIZNCPvpm5SQT+Drn1PDu2SeSQtqXBkbVYwA7JMfuuW87
kULKlRxrM6gFO+n6N76SW5BCa1x1ZM3cCzs8bOT3xg6PQsv0gU7jfxE7AA+F
GSt8jULWH3dWnIMVO7BnqG3b/YtCcvt1FcvwGTvGLc1xgJKKQlyJTMg0ux47
naTuj944iUL4sfRN1ukhOwH5XnDT74dCLFExLVaUJDtnn0GXU7aGQmbakEh8
Uyc7betERGiLhUJ225wrIx0qO2bog4wtboRCP4UYTu3mLDtEtJGn0F2DQidu
A2eOpi87bFaeaY5ZgkKKolcgBikxO1TscOWxYIFChq8V3vpvMjtCkqExk3KA
Qo3dMrbHozM7o3Mmmiwdf0KXElHkesA0OxTyXD5UaH1CdHQAtZrCNTuA4poh
j8V7Qhm8hg0tpzY79MlRduEzekIOVEjbums3O0dW01RgsnhCN2Jk+E8OODsN
iJNjMEB3QowEPxh4jTg7PP3dnoTcdUI+g15MOeg4Ow9jvzydhnRCUUU2qgwe
OTt9V0Oqxj1zQtUr/47VLjk7kUl6n1gBckKhuwLx1xo5O/fWA0i10HBCwAfp
Hq7iODvjQjT8kFZvQlAchD4+hzg7g6SlLA4hbUK2r9nNrwk4O8kB+HTc/2pC
9mMvW2FrNzuVrU2kBfJoQiYKz5verTY7A6Yw76H2ZkKomBj91tI1O8xM9e/W
DGVCfA0YwBTcNDt2oY+71jNjQrOMzKR0yzM7jNwBCd9qYUKjftwe3qIyO/W6
ddNwYl9CSp5JADxkMTv7WsoiawxcQjwRgHV1ETA7NBaaV2XSWEJARN8ozlgt
Ow4gS38ps1VCe6ETK7dtKjscESY6kq1SQmF5d/4GZSc7uLLtWxOBT0JwMOHj
1EEkOyrO1xgR1klCY6YI9c4GITsEFyFXKlhEQkz5JpgLbBs7OESZuwoLPkI2
qlaBFKEUO4LYDv/AuDNCwAmhKKNWCztdAvCdQmwjQlA1gxluEfo6zZayMA==

     "]]}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "DefaultPlotStyle" -> {
      Directive[
       RGBColor[0.368417, 0.506779, 0.709798], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.880722, 0.611041, 0.142051], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.560181, 0.691569, 0.194885], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.922526, 0.385626, 0.209179], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.528488, 0.470624, 0.701351], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.772079, 0.431554, 0.102387], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.363898, 0.618501, 0.782349], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[1, 0.75, 0], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.647624, 0.37816, 0.614037], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.571589, 0.586483, 0.], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.915, 0.3325, 0.2125], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
       AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02], 
    "PointSizeFunction" -> "SmallPointSize", "RangePadding" -> Scaled[0.05], 
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1.0785005371965396`*^13}, {0, 2.083084481839353*^-23}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.8993870110426493`*^9, {3.8993874195099916`*^9, 3.8993874223533916`*^9}, {
   3.8993888545146914`*^9, 3.899388877396539*^9}, 3.899390870897374*^9, 
   3.8993910857131767`*^9, 3.899391355580723*^9, {3.8993914659705963`*^9, 
   3.8993914823675146`*^9}, 3.8993923931210036`*^9, 3.899392450035116*^9, 
   3.8993926712569494`*^9},
 CellLabel->
  "Out[486]=",ExpressionUUID->"ea51b1e7-1903-4e0e-acf7-8512d8d65b0f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"transitionRate", "[", 
     RowBox[{"n_", ",", "n\[Prime]_", ",", "l_", ",", "l\[Prime]_"}], "]"}], 
    "=", 
    RowBox[{"2.855337191852949`*^-21", "*", 
     FractionBox[
      RowBox[{
       SuperscriptBox["\[Alpha]", "7"], "*", 
       SuperscriptBox["m", "3"], "*", 
       SuperscriptBox["c", "4"], "*", "1", "*", 
       RowBox[{"Max", "[", 
        RowBox[{"l", ",", "l\[Prime]"}], "]"}]}], 
      RowBox[{"6", 
       SuperscriptBox["\[HBar]", "3"], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", "l"}], "+", "1"}], ")"}]}]], "*", 
     RowBox[{"dif", "[", 
      RowBox[{"n", ",", "n\[Prime]", ",", "l"}], "]"}], "*", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", 
         SuperscriptBox["n\[Prime]", "2"]], "-", 
        FractionBox["1", 
         SuperscriptBox["n", "2"]]}], ")"}], "3"]}]}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{"from", " ", "eq", " ", "10", " ", "of", " ", 
    RowBox[{"Horbatsch", ".", " ", "scaled"}], " ", "by", " ", "coefficient", 
    " ", "at", " ", "front", " ", "because", " ", "some", " ", "mismatch", 
    " ", "in", " ", "units"}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"horbatschpower", "[", 
     RowBox[{
     "\[Omega]_", ",", "n_", ",", "n\[Prime]_", ",", "l_", ",", 
      "l\[Prime]_"}], "]"}], "=", 
    RowBox[{
     RowBox[{"transitionRate", "[", 
      RowBox[{"n", ",", "n\[Prime]", ",", "l", ",", "l\[Prime]"}], "]"}], "*",
      "\[HBar]", "*", "\[Omega]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"powerQuantumData", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n\[Prime]", ",", 
       RowBox[{"l", "-", "1"}], ",", 
       RowBox[{"getOmega", "[", 
        RowBox[{"n", ",", "n\[Prime]"}], "]"}], ",", 
       RowBox[{"horbatschpower", "[", 
        RowBox[{
         RowBox[{"getOmega", "[", 
          RowBox[{"n", ",", "n\[Prime]"}], "]"}], ",", "n", ",", "n\[Prime]", 
         ",", "l", ",", "l\[Prime]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"n\[Prime]", ",", "l", ",", 
       RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], "\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Plot", " ", "a", " ", "table", " ", "of", " ", "n"}], ",", " ", 
    "n\[Prime]", ",", " ", "\[Omega]", ",", " ", "Power"}], "*)"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{"p2", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"powerQuantumData", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "4"}], "}"}]}], "]"}], "]"}], ",", 
    RowBox[{"PlotStyle", "->", "Red"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Graph", " ", "\[Omega]", " ", "vs", " ", "Power"}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.8993874294244785`*^9, 3.8993874919514847`*^9}, {
   3.8993886765824795`*^9, 3.899388726565588*^9}, {3.899388904540476*^9, 
   3.8993890352926345`*^9}, {3.8993891092525997`*^9, 
   3.8993892832605333`*^9}, {3.89938931671649*^9, 3.8993894065887413`*^9}, {
   3.899389546403542*^9, 3.899389606501606*^9}, {3.8993896525488906`*^9, 
   3.8993896901488695`*^9}, 3.8993897364464593`*^9, {3.89939089352347*^9, 
   3.899390902833478*^9}, {3.899390934761799*^9, 3.8993910101777053`*^9}, {
   3.8993912996511936`*^9, 3.899391312169182*^9}, {3.8993913787870555`*^9, 
   3.8993914053690233`*^9}, {3.899392099446412*^9, 3.899392100727708*^9}, {
   3.8993921807127733`*^9, 3.8993922106967726`*^9}, {3.8993922495114746`*^9, 
   3.899392250414576*^9}, {3.899392422480318*^9, 3.899392441966297*^9}, {
   3.8993924810952287`*^9, 3.899392512776136*^9}, {3.8993925855444603`*^9, 
   3.8993926388704796`*^9}},
 Background->GrayLevel[0.85],
 CellLabel->
  "In[487]:=",ExpressionUUID->"1ce3b73b-2349-4aa3-8dcc-ca394150b89b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "40", ",", "39", ",", "1.0785005371965396`*^13", ",", 
     "1.1988525386250571`*^-29"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "41", ",", "39", ",", "1.0166336329212219`*^13", ",", 
     "1.1937325942753461`*^-28"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "42", ",", "39", ",", "9.591329688317354`*^12", ",", 
     "6.323790354307654`*^-28"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "43", ",", "39", ",", "9.055971442673256`*^12", ",", 
     "2.370412239009785`*^-27"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "44", ",", "39", ",", "8.556698476931225`*^12", ",", 
     "7.056328925923622`*^-27"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "45", ",", "39", ",", "8.090339126765342`*^12", ",", 
     "1.7754826215353813`*^-26"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "46", ",", "39", ",", "7.654062683641659`*^12", ",", 
     "3.9252799057663196`*^-26"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "47", ",", "39", ",", "7.245336338613241`*^12", ",", 
     "7.827726946589691`*^-26"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "48", ",", "39", ",", "6.861888338512375`*^12", ",", 
     "1.4347499055746892`*^-25"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "49", ",", "39", ",", "6.501676350851039`*^12", ",", 
     "2.4512490063825508`*^-25"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "50", ",", "39", ",", "6.162860212551656`*^12", ",", 
     "3.946048121688937`*^-25"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "51", ",", "39", ",", "5.84377838173391`*^12", ",", 
     "6.036743775701231`*^-25"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "52", ",", "39", ",", "5.542927528448826`*^12", ",", 
     "8.83660440217961`*^-25"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "53", ",", "39", ",", "5.258944795117949`*^12", ",", 
     "1.2446370441654017`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "54", ",", "39", ",", "4.990592334901226`*^12", ",", 
     "1.6946834929825545`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "55", ",", "39", ",", "4.736743799729785`*^12", ",", 
     "2.2392848915140934`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "56", ",", "39", ",", "4.496372502014728`*^12", ",", 
     "2.88091591182465`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "57", ",", "39", ",", "4.2685410172295293`*^12", ",", 
     "3.618824639735883`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "58", ",", "39", ",", "4.052392030369875`*^12", ",", 
     "4.449012488145692`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "59", ",", "39", ",", "3.847140259084961`*^12", ",", 
     "5.364390104104195`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "60", ",", "39", ",", "3.6520653111417217`*^12", ",", 
     "6.355078543110382`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "61", ",", "39", ",", "3.4665053547085767`*^12", ",", 
     "7.408819460527298`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "62", ",", "39", ",", "3.2898514974391255`*^12", ",", 
     "8.511456871733882`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "63", ",", "39", ",", "3.1215427850759253`*^12", ",", 
     "9.647455115376759`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "64", ",", "39", ",", "2.961061742749428`*^12", ",", 
     "1.0800421946262352`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "65", ",", "39", ",", "2.80793039270105`*^12", ",", 
     "1.1953611222023687`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "66", ",", "39", ",", "2.661706691126533`*^12", ",", 
     "1.3090385644262807`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "67", ",", "39", ",", "2.5219813344748027`*^12", ",", 
     "1.4194625883627255`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "68", ",", "39", ",", "2.388374892061541`*^12", ",", 
     "1.5251077762921109`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "69", ",", "39", ",", "2.260535227442282`*^12", ",", 
     "1.6245633760367873`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "70", ",", "39", ",", "2.1381351757832273`*^12", ",", 
     "1.716554882384423`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "71", ",", "39", ",", "2.02087044859113`*^12", ",", 
     "1.7999593348910987`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "72", ",", "39", ",", "1.9084577407181562`*^12", ",", 
     "1.8738148225636975`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "73", ",", "39", ",", "1.800633017628622`*^12", ",", 
     "1.9373248196890163`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "74", ",", "39", ",", "1.6971499635733923`*^12", ",", 
     "1.9898580507883073`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "75", ",", "39", ",", "1.5977785736245032`*^12", ",", 
     "2.0309446081396548`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "76", ",", "39", ",", "1.5023038745278271`*^12", ",", 
     "2.060269033783619`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "77", ",", "39", ",", "1.4105247610781912`*^12", ",", 
     "2.0776610395252346`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "78", ",", "39", ",", "1.322252936245468`*^12", ",", 
     "2.083084481839352`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "79", ",", "39", ",", "1.237311944612598`*^12", ",", 
     "2.076625140904579`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "80", ",", "39", ",", "1.1555362898534353`*^12", ",", 
     "2.058477779854646`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "81", ",", "39", ",", "1.0767706280020902`*^12", ",", 
     "2.0289328859721234`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "82", ",", "39", ",", "1.000869029165141`*^12", ",", 
     "1.988363422942256`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "83", ",", "39", ",", "9.276943011200558`*^11", ",", 
     "1.9372118543271046`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "84", ",", "39", ",", "8.571173689414244`*^11", ",", 
     "1.87597763403932`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "85", ",", "39", ",", "7.890167054131879`*^11", ",", 
     "1.8052052998188087`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "86", ",", "39", ",", "7.232778075303999`*^11", ",", 
     "1.7254732496426207`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "87", ",", "39", ",", "6.597927148770457`*^11", ",", 
     "1.6373832265927119`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "88", ",", "39", ",", "5.984595660948921`*^11", ",", 
     "1.5415504812850977`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "89", ",", "39", ",", "5.391821900389212`*^11", ",", 
     "1.43859451608274`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "90", ",", "39", ",", "4.818697285534216`*^11", ",", 
     "1.3291302304225602`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "91", ",", "39", ",", "4.264362881043469`*^11", ",", 
     "1.2137591600149192`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "92", ",", "39", ",", "3.7280061777250085`*^11", ",", 
     "1.0930602915071117`*^-23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "93", ",", "39", ",", "3.2088581135226733`*^11", ",", 
     "9.67579548329482`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "94", ",", "39", ",", "2.7061903151539624`*^11", ",", 
     "8.378162814995538`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "95", ",", "39", ",", "2.2193125419161066`*^11", ",", 
     "7.042034812825178`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "96", ",", "39", ",", "1.747570314901798`*^11", ",", 
     "5.6707474252641616`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "97", ",", "39", ",", "1.2903427164126648`*^11", ",", 
     "4.2660225301364346`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "98", ",", "39", ",", "8.470403457484573`*^10", ",", 
     "2.826727109796146`*^-24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "99", ",", "39", ",", "4.1710341880004616`*^10", ",", 
     "1.3476884713743377`*^-24"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.899389223002528*^9, 3.899389258003465*^9, {3.8993893918351345`*^9, 
   3.899389410011986*^9}, {3.8993895765423594`*^9, 3.8993896011348753`*^9}, 
   3.8993896960529647`*^9, {3.89938973767159*^9, 3.8993897410532603`*^9}, 
   3.899390873574272*^9, {3.899391003586005*^9, 3.8993910107996006`*^9}, 
   3.8993910917623043`*^9, 3.8993912866638775`*^9, 3.8993913290041785`*^9, {
   3.8993913590069385`*^9, 3.8993914063297405`*^9}, 3.899392102512107*^9, 
   3.89939219010648*^9, 3.8993922510572023`*^9, {3.8993924260992546`*^9, 
   3.899392452827422*^9}, {3.8993924892961645`*^9, 3.8993925134359508`*^9}, {
   3.899392587830255*^9, 3.8993925956907096`*^9}, 3.899392671373654*^9},
 CellLabel->
  "Out[489]=",ExpressionUUID->"32174c59-375c-49d7-bc06-2cb9b3b7bb5c"],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[1, 0, 0], PointSize[0.011000000000000001`], AbsoluteThickness[
    1.6], PointBox[CompressedData["
1:eJwB0QMu/CFib1JlAgAAADwAAAACAAAAy3oE1Cieo0I9Z0py/2TuOXD4K7sR
fqJCLiPCzFrqIjq1+hWZT3KhQsrH69YVDUk6g+L/6wN5oEKNk7SAtXlnOuYM
huQLIZ9Cym8e1Hp4gTpetbcot26dQhj6hqG6+pU6o+bXv2bYm0I7u3iy2kuo
OvfUgsu+W5pCgatXpMM5uDqAQemqofaYQmn7X0OhM8Y6KAz2byinl0JTF+Lo
MvfSOqAeBWCca5ZC35WlG/SH3jqkl55WcUKVQrmHx1+AWuc6TgPI50AqlEJj
FfyvrBfxOsy3RyXGIZNCOPpm5SQT+Drn1PDu2SeSQtqXBkbVYwA7JMfuuW87
kULFlRxrM6gFO+n6N76SW5BCbFx1ZM3cCzs8bOT3xg6PQsv0gU7jfxE7AA+F
GSt8jULXH3dWnIMVO7BnqG3b/YtCbPt1FcvwGTvGLc1xgJKKQliJTMg0ux47
naTuj944iUL3sfRN1ukhOwH5XnDT74dCKFExLVaUJDtnn0GXU7aGQl7akEh8
Uyc7betERGiLhUJ025wrIx0qO2bog4wtboRCQIUYTu3mLDtEtJGn0F2DQixu
A2eOpi87bFaeaY5ZgkKMolcgBikxO1TscOWxYIFChq8V3vpvMjtCkqExk3KA
Qo7dMrbHozM7o3Mmmiwdf0KWElHkesA0OxTyXD5UaH1CdHQAtZrCNTuA4poh
j8V7Qh28hg0tpzY79MlRduEzekIMVEjbums3O0dW01RgsnhCNmJk+E8OODsN
iJNjMEB3QowEPxh4jTg7PP3dnoTcdUJAg15MOeg4Ow9jvzydhnRCU0U2qgwe
OTt9V0Oqxj1zQtIr/47VLjk7kUl6n1gBckKfuwLx1xo5O/fWA0i10HBCvgfp
Hq7iODvjQjT8kFZvQk8chD4+hzg7g6SlLA4hbUKzr9nNrwk4O8kB+HTc/2pC
+mMvW2FrNzuVrU2kBfJoQiMKz5verTY7A6Yw76H2ZkKimBj91tI1O8xM9e/W
DGVCdw0YwBTcNDt2oY+71jNjQrGMzKR0yzM7jNwBCd9qYUKhftwe3qIyO/W6
ddNwYl9CUJ5JADxkMTv7WsoiawxcQjsRgHV1ETA7NBaaV2XSWEJIRN8ozlgt
Ow4gS38ps1VCe6ETK7dtKjscESY6kq1SQm55d/4GZSc7uLLtWxOBT0J1MOHj
1EEkOyrO1xgR1klCb6YI9c4GITsEFyFXKlhEQmr5JpgLbBs7OESZuwoLPkIy
qlaBFKEUO4LYDv/AuDNCwAmhKKNWCztdAvCdQmwjQpE1gxluEfo6Hh6yZQ==

     "]]}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "DefaultPlotStyle" -> {
      Directive[
       RGBColor[0.368417, 0.506779, 0.709798], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.880722, 0.611041, 0.142051], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.560181, 0.691569, 0.194885], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.922526, 0.385626, 0.209179], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.528488, 0.470624, 0.701351], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.772079, 0.431554, 0.102387], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.363898, 0.618501, 0.782349], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[1, 0.75, 0], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.647624, 0.37816, 0.614037], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.571589, 0.586483, 0.], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.915, 0.3325, 0.2125], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
       AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02], 
    "PointSizeFunction" -> "SmallPointSize", "RangePadding" -> Scaled[0.05], 
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1.0785005371965396`*^13}, {0, 2.083084481839352*^-23}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.899389223002528*^9, 3.899389258003465*^9, {3.8993893918351345`*^9, 
   3.899389410011986*^9}, {3.8993895765423594`*^9, 3.8993896011348753`*^9}, 
   3.8993896960529647`*^9, {3.89938973767159*^9, 3.8993897410532603`*^9}, 
   3.899390873574272*^9, {3.899391003586005*^9, 3.8993910107996006`*^9}, 
   3.8993910917623043`*^9, 3.8993912866638775`*^9, 3.8993913290041785`*^9, {
   3.8993913590069385`*^9, 3.8993914063297405`*^9}, 3.899392102512107*^9, 
   3.89939219010648*^9, 3.8993922510572023`*^9, {3.8993924260992546`*^9, 
   3.899392452827422*^9}, {3.8993924892961645`*^9, 3.8993925134359508`*^9}, {
   3.899392587830255*^9, 3.8993925956907096`*^9}, 3.8993926714474573`*^9},
 CellLabel->
  "Out[490]=",ExpressionUUID->"b1823f35-66e6-4015-a13a-36ccb321b81b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"p1", ",", "p2"}], "]"}]], "Input",
 CellChangeTimes->{{3.8993924564812803`*^9, 3.8993924588215156`*^9}},
 Background->GrayLevel[0.85],
 CellLabel->
  "In[491]:=",ExpressionUUID->"56fff4d3-69b2-4c99-81c3-733576b1d817"],

Cell[BoxData[
 GraphicsBox[{{{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.011000000000000001`],
      AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJwB0QMu/CFib1JlAgAAADwAAAACAAAAy3oE1Cieo0I/Z0py/2TuOXD4K7sR
fqJCLyPCzFrqIjq1+hWZT3KhQs3H69YVDUk6g+L/6wN5oEKQk7SAtXlnOuYM
huQLIZ9CzG8e1Hp4gTpetbcot26dQhr6hqG6+pU6o+bXv2bYm0I+u3iy2kuo
OvfUgsu+W5pChKtXpMM5uDqAQemqofaYQmr7X0OhM8Y6KAz2byinl0JWF+Lo
MvfSOqAeBWCca5ZC5ZWlG/SH3jqkl55WcUKVQr2Hx1+AWuc6TgPI50AqlEJl
FfyvrBfxOsy3RyXGIZNCPvpm5SQT+Drn1PDu2SeSQtqXBkbVYwA7JMfuuW87
kULKlRxrM6gFO+n6N76SW5BCa1x1ZM3cCzs8bOT3xg6PQsv0gU7jfxE7AA+F
GSt8jULWH3dWnIMVO7BnqG3b/YtCcvt1FcvwGTvGLc1xgJKKQlyJTMg0ux47
naTuj944iUL4sfRN1ukhOwH5XnDT74dCLFExLVaUJDtnn0GXU7aGQmbakEh8
Uyc7betERGiLhUJ225wrIx0qO2bog4wtboRCP4UYTu3mLDtEtJGn0F2DQidu
A2eOpi87bFaeaY5ZgkKKolcgBikxO1TscOWxYIFChq8V3vpvMjtCkqExk3KA
Qo3dMrbHozM7o3Mmmiwdf0KXElHkesA0OxTyXD5UaH1CdHQAtZrCNTuA4poh
j8V7Qhm8hg0tpzY79MlRduEzekIOVEjbums3O0dW01RgsnhCN2Jk+E8OODsN
iJNjMEB3QowEPxh4jTg7PP3dnoTcdUI+g15MOeg4Ow9jvzydhnRCUUU2qgwe
OTt9V0Oqxj1zQtUr/47VLjk7kUl6n1gBckKhuwLx1xo5O/fWA0i10HBCwAfp
Hq7iODvjQjT8kFZvQlAchD4+hzg7g6SlLA4hbUK2r9nNrwk4O8kB+HTc/2pC
9mMvW2FrNzuVrU2kBfJoQiYKz5verTY7A6Yw76H2ZkKomBj91tI1O8xM9e/W
DGVCfA0YwBTcNDt2oY+71jNjQrOMzKR0yzM7jNwBCd9qYUKjftwe3qIyO/W6
ddNwYl9CSp5JADxkMTv7WsoiawxcQjwRgHV1ETA7NBaaV2XSWEJARN8ozlgt
Ow4gS38ps1VCe6ETK7dtKjscESY6kq1SQmF5d/4GZSc7uLLtWxOBT0JwMOHj
1EEkOyrO1xgR1klCY6YI9c4GITsEFyFXKlhEQkz5JpgLbBs7OESZuwoLPkI2
qlaBFKEUO4LYDv/AuDNCwAmhKKNWCztdAvCdQmwjQlA1gxluEfo6zZayMA==

      "]]}, {{}, {}}}, {{}, 
    {RGBColor[1, 0, 0], PointSize[0.011000000000000001`], AbsoluteThickness[
     1.6], PointBox[CompressedData["
1:eJwB0QMu/CFib1JlAgAAADwAAAACAAAAy3oE1Cieo0I9Z0py/2TuOXD4K7sR
fqJCLiPCzFrqIjq1+hWZT3KhQsrH69YVDUk6g+L/6wN5oEKNk7SAtXlnOuYM
huQLIZ9Cym8e1Hp4gTpetbcot26dQhj6hqG6+pU6o+bXv2bYm0I7u3iy2kuo
OvfUgsu+W5pCgatXpMM5uDqAQemqofaYQmn7X0OhM8Y6KAz2byinl0JTF+Lo
MvfSOqAeBWCca5ZC35WlG/SH3jqkl55WcUKVQrmHx1+AWuc6TgPI50AqlEJj
FfyvrBfxOsy3RyXGIZNCOPpm5SQT+Drn1PDu2SeSQtqXBkbVYwA7JMfuuW87
kULFlRxrM6gFO+n6N76SW5BCbFx1ZM3cCzs8bOT3xg6PQsv0gU7jfxE7AA+F
GSt8jULXH3dWnIMVO7BnqG3b/YtCbPt1FcvwGTvGLc1xgJKKQliJTMg0ux47
naTuj944iUL3sfRN1ukhOwH5XnDT74dCKFExLVaUJDtnn0GXU7aGQl7akEh8
Uyc7betERGiLhUJ025wrIx0qO2bog4wtboRCQIUYTu3mLDtEtJGn0F2DQixu
A2eOpi87bFaeaY5ZgkKMolcgBikxO1TscOWxYIFChq8V3vpvMjtCkqExk3KA
Qo7dMrbHozM7o3Mmmiwdf0KWElHkesA0OxTyXD5UaH1CdHQAtZrCNTuA4poh
j8V7Qh28hg0tpzY79MlRduEzekIMVEjbums3O0dW01RgsnhCNmJk+E8OODsN
iJNjMEB3QowEPxh4jTg7PP3dnoTcdUJAg15MOeg4Ow9jvzydhnRCU0U2qgwe
OTt9V0Oqxj1zQtIr/47VLjk7kUl6n1gBckKfuwLx1xo5O/fWA0i10HBCvgfp
Hq7iODvjQjT8kFZvQk8chD4+hzg7g6SlLA4hbUKzr9nNrwk4O8kB+HTc/2pC
+mMvW2FrNzuVrU2kBfJoQiMKz5verTY7A6Yw76H2ZkKimBj91tI1O8xM9e/W
DGVCdw0YwBTcNDt2oY+71jNjQrGMzKR0yzM7jNwBCd9qYUKhftwe3qIyO/W6
ddNwYl9CUJ5JADxkMTv7WsoiawxcQjsRgHV1ETA7NBaaV2XSWEJIRN8ozlgt
Ow4gS38ps1VCe6ETK7dtKjscESY6kq1SQm55d/4GZSc7uLLtWxOBT0J1MOHj
1EEkOyrO1xgR1klCb6YI9c4GITsEFyFXKlhEQmr5JpgLbBs7OESZuwoLPkIy
qlaBFKEUO4LYDv/AuDNCwAmhKKNWCztdAvCdQmwjQpE1gxluEfo6Hh6yZQ==

      "]]}, {{}, {}}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "DefaultPlotStyle" -> {
      Directive[
       RGBColor[0.368417, 0.506779, 0.709798], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.880722, 0.611041, 0.142051], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.560181, 0.691569, 0.194885], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.922526, 0.385626, 0.209179], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.528488, 0.470624, 0.701351], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.772079, 0.431554, 0.102387], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.363898, 0.618501, 0.782349], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[1, 0.75, 0], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.647624, 0.37816, 0.614037], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.571589, 0.586483, 0.], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.915, 0.3325, 0.2125], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
       AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02], 
    "PointSizeFunction" -> "SmallPointSize", "RangePadding" -> Scaled[0.05], 
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1.0785005371965396`*^13}, {0, 2.083084481839353*^-23}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.8993924597430573`*^9, {3.899392493349016*^9, 3.8993925174256554`*^9}, {
   3.8993925906893864`*^9, 3.8993925995918617`*^9}, 3.899392671506299*^9},
 CellLabel->
  "Out[491]=",ExpressionUUID->"1f0fa0e4-173d-4b30-8f5f-4caa5fd72831"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8993924132373424`*^9, 3.8993924345025835`*^9}},
 CellLabel->
  "In[492]:=",ExpressionUUID->"e3194001-3217-4852-99a4-a4a74901f9c6"]
},
WindowSize->{959, 1012},
WindowMargins->{{-5, Automatic}, {Automatic, 0}},
DockedCells->{
  Cell[
   BoxData[
    DynamicModuleBox[{LinterUIDockedCell`Private`notebook$$}, 
     GraphicsBox[{
       InsetBox[
        TemplateBox[{
          PaneBox[
           StyleBox[
           "\"Code Analysis\"", FontColor -> GrayLevel[0.4], FontFamily -> 
            "Source Sans Pro", FontWeight -> Plain, FontSize -> 13, 
            StripOnInput -> False], 
           BaselinePosition -> (Baseline -> Scaled[0.65])], 
          TemplateBox[{8}, "Spacer1"], 
          PaneBox[
           
           PaneSelectorBox[{{False, False} -> 
             TemplateBox[{0}, "Spacer1"], {True, False} -> 
             TemplateBox[{0}, "Spacer1"], {True, True} -> PaneBox[
               InterpretationBox[
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEExpressions", "PercolateAnimator"][Medium]], 
                ProgressIndicator[Appearance -> "Percolate"], 
                BaseStyle -> {"Deploy"}], BaselinePosition -> Scaled[0.05]], {
              False, True} -> 
             DynamicModuleBox[{
               CodeInspector`LinterUI`Private`tracker$$ = 
                CodeInspector`LinterUI`Private`DynamicTriggers`\
dockedCellLintCounts}, 
               DynamicWrapperBox[
                DynamicBox[
                 ToBoxes[
                 CodeInspector`LinterUI`Private`tracker$$; 
                  LinterUIDockedCell`Private`dockedCellSeverityCountsButton[
                   LinterUIDockedCell`Private`notebook$$], TraditionalForm], 
                 TrackedSymbols :> {
                  CodeInspector`LinterUI`Private`tracker$$}], 
                If[
                CodeInspector`LinterUI`Private`tracker$$ =!= 
                 CodeInspector`LinterUI`Private`DynamicTriggers`\
dockedCellLintCounts, CodeInspector`LinterUI`Private`tracker$$ = 
                 CodeInspector`LinterUI`Private`DynamicTriggers`\
dockedCellLintCounts]], DynamicModuleValues :> {}]}, 
            Dynamic[FEPrivate`EvaluatorStatus["Local"]; {
               CodeInspector`LinterUI`Private`varValue[
               LinterUIDockedCell`Private`notebook$$, "AnalysisInProgressQ"], 
               TrueQ[
                CodeInspector`LinterUI`Private`varValue[
                LinterUIDockedCell`Private`notebook$$, 
                 "DockedCellPresentQ"]]}], ImageSize -> Automatic], 
           BaselinePosition -> Scaled[0.15]]}, "Row", 
         DisplayFunction -> (PaneBox[
           RowBox[{
             TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
           Baseline]& ), InterpretationFunction -> (RowBox[{"Row", "[", 
            RowBox[{
              RowBox[{"{", 
                TemplateSlotSequence[1, ","], "}"}], ",", 
              RowBox[{"Alignment", "\[Rule]", "Baseline"}]}], "]"}]& )], 
        Offset[{8, 0}, {-1, 0}], {-1, 0}], 
       InsetBox[
        PaneSelectorBox[{
         True -> DynamicModuleBox[{
            CodeInspector`LinterUI`Private`hoverQ$$ = False, 
             CodeInspector`LinterUI`Private`mouseDownQ$$ = False, 
             CodeInspector`LinterUI`Private`fontColor$$}, 
            ButtonBox[
             DynamicWrapperBox[
              TemplateBox[{
                DynamicWrapperBox[
                 StyleBox[
                  PaneBox[
                  "\"Reanalyze Notebook\"", ContentPadding -> True, 
                   FrameMargins -> None, BaselinePosition -> Baseline], 
                  FontColor -> 
                  Dynamic[CodeInspector`LinterUI`Private`fontColor$$], 
                  FontColor -> GrayLevel[0.2], FontFamily -> 
                  "Source Sans Pro", FontWeight -> Plain, FontSize -> 14, 
                  StripOnInput -> False], 
                 CodeInspector`LinterUI`Private`fontColor$$ = Which[
                   TrueQ[
                    Not[
                    
                    OptionValue[{
                    ImageSize -> {Automatic, 19}, 
                    FrameMargins -> {9 {1, 1}, 0 {1, 1}}, BaselinePosition -> 
                    Baseline, Alignment -> {Center, Center}, Method -> 
                    "Preemptive", "ActiveQ" -> True, "TextColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonText"], 
                    "TextHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextHover"], "TextInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextInactive"], "BackColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonBack"], 
                    "BackHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackHover"], "BackMouseDownColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackMouseDown"], "BackInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackInactive"], "EdgeColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonEdge"], 
                    "EdgeHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeHover"], "EdgeInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeInactive"]}, {Method -> "Queued"}, 
                    "ActiveQ"]]], 
                   
                   OptionValue[{
                    ImageSize -> {Automatic, 19}, 
                    FrameMargins -> {9 {1, 1}, 0 {1, 1}}, BaselinePosition -> 
                    Baseline, Alignment -> {Center, Center}, Method -> 
                    "Preemptive", "ActiveQ" -> True, "TextColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonText"], 
                    "TextHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextHover"], "TextInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextInactive"], "BackColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonBack"], 
                    "BackHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackHover"], "BackMouseDownColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackMouseDown"], "BackInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackInactive"], "EdgeColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonEdge"], 
                    "EdgeHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeHover"], "EdgeInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeInactive"]}, {Method -> "Queued"}, 
                    "TextInactiveColor"], 
                   CodeInspector`LinterUI`Private`hoverQ$$, 
                   
                   OptionValue[{
                    ImageSize -> {Automatic, 19}, 
                    FrameMargins -> {9 {1, 1}, 0 {1, 1}}, BaselinePosition -> 
                    Baseline, Alignment -> {Center, Center}, Method -> 
                    "Preemptive", "ActiveQ" -> True, "TextColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonText"], 
                    "TextHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextHover"], "TextInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextInactive"], "BackColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonBack"], 
                    "BackHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackHover"], "BackMouseDownColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackMouseDown"], "BackInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackInactive"], "EdgeColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonEdge"], 
                    "EdgeHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeHover"], "EdgeInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeInactive"]}, {Method -> "Queued"}, 
                    "TextHoverColor"], True, 
                   
                   OptionValue[{
                    ImageSize -> {Automatic, 19}, 
                    FrameMargins -> {9 {1, 1}, 0 {1, 1}}, BaselinePosition -> 
                    Baseline, Alignment -> {Center, Center}, Method -> 
                    "Preemptive", "ActiveQ" -> True, "TextColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonText"], 
                    "TextHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextHover"], "TextInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextInactive"], "BackColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonBack"], 
                    "BackHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackHover"], "BackMouseDownColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackMouseDown"], "BackInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackInactive"], "EdgeColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonEdge"], 
                    "EdgeHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeHover"], "EdgeInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeInactive"]}, {Method -> "Queued"}, 
                    "TextColor"]]], ContentPadding -> False, 
                FrameMargins -> {{9, 9}, {0, 0}}, 
                Alignment -> {Center, Center}, ImageSize -> {Automatic, 19}, 
                RoundingRadius -> 3, FrameStyle -> Dynamic[
                  Directive[
                   AbsoluteThickness[0.5], 
                   Which[
                    TrueQ[
                    Not[
                    
                    OptionValue[{
                    ImageSize -> {Automatic, 19}, 
                    FrameMargins -> {9 {1, 1}, 0 {1, 1}}, BaselinePosition -> 
                    Baseline, Alignment -> {Center, Center}, Method -> 
                    "Preemptive", "ActiveQ" -> True, "TextColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonText"], 
                    "TextHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextHover"], "TextInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextInactive"], "BackColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonBack"], 
                    "BackHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackHover"], "BackMouseDownColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackMouseDown"], "BackInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackInactive"], "EdgeColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonEdge"], 
                    "EdgeHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeHover"], "EdgeInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeInactive"]}, {Method -> "Queued"}, 
                    "ActiveQ"]]], 
                    
                    OptionValue[{
                    ImageSize -> {Automatic, 19}, 
                    FrameMargins -> {9 {1, 1}, 0 {1, 1}}, BaselinePosition -> 
                    Baseline, Alignment -> {Center, Center}, Method -> 
                    "Preemptive", "ActiveQ" -> True, "TextColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonText"], 
                    "TextHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextHover"], "TextInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextInactive"], "BackColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonBack"], 
                    "BackHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackHover"], "BackMouseDownColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackMouseDown"], "BackInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackInactive"], "EdgeColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonEdge"], 
                    "EdgeHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeHover"], "EdgeInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeInactive"]}, {Method -> "Queued"}, 
                    "EdgeInactiveColor"], 
                    CodeInspector`LinterUI`Private`hoverQ$$, 
                    
                    OptionValue[{
                    ImageSize -> {Automatic, 19}, 
                    FrameMargins -> {9 {1, 1}, 0 {1, 1}}, BaselinePosition -> 
                    Baseline, Alignment -> {Center, Center}, Method -> 
                    "Preemptive", "ActiveQ" -> True, "TextColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonText"], 
                    "TextHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextHover"], "TextInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextInactive"], "BackColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonBack"], 
                    "BackHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackHover"], "BackMouseDownColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackMouseDown"], "BackInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackInactive"], "EdgeColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonEdge"], 
                    "EdgeHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeHover"], "EdgeInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeInactive"]}, {Method -> "Queued"}, 
                    "EdgeHoverColor"], True, 
                    
                    OptionValue[{
                    ImageSize -> {Automatic, 19}, 
                    FrameMargins -> {9 {1, 1}, 0 {1, 1}}, BaselinePosition -> 
                    Baseline, Alignment -> {Center, Center}, Method -> 
                    "Preemptive", "ActiveQ" -> True, "TextColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonText"], 
                    "TextHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextHover"], "TextInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextInactive"], "BackColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonBack"], 
                    "BackHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackHover"], "BackMouseDownColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackMouseDown"], "BackInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackInactive"], "EdgeColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonEdge"], 
                    "EdgeHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeHover"], "EdgeInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeInactive"]}, {Method -> "Queued"}, 
                    "EdgeColor"]]]], Background -> Dynamic[
                  Which[
                   TrueQ[
                    Not[
                    
                    OptionValue[{
                    ImageSize -> {Automatic, 19}, 
                    FrameMargins -> {9 {1, 1}, 0 {1, 1}}, BaselinePosition -> 
                    Baseline, Alignment -> {Center, Center}, Method -> 
                    "Preemptive", "ActiveQ" -> True, "TextColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonText"], 
                    "TextHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextHover"], "TextInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextInactive"], "BackColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonBack"], 
                    "BackHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackHover"], "BackMouseDownColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackMouseDown"], "BackInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackInactive"], "EdgeColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonEdge"], 
                    "EdgeHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeHover"], "EdgeInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeInactive"]}, {Method -> "Queued"}, 
                    "ActiveQ"]]], 
                   
                   OptionValue[{
                    ImageSize -> {Automatic, 19}, 
                    FrameMargins -> {9 {1, 1}, 0 {1, 1}}, BaselinePosition -> 
                    Baseline, Alignment -> {Center, Center}, Method -> 
                    "Preemptive", "ActiveQ" -> True, "TextColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonText"], 
                    "TextHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextHover"], "TextInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextInactive"], "BackColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonBack"], 
                    "BackHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackHover"], "BackMouseDownColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackMouseDown"], "BackInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackInactive"], "EdgeColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonEdge"], 
                    "EdgeHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeHover"], "EdgeInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeInactive"]}, {Method -> "Queued"}, 
                    "BackInactiveColor"], 
                   And[
                   CodeInspector`LinterUI`Private`hoverQ$$, 
                    CodeInspector`LinterUI`Private`mouseDownQ$$], 
                   
                   OptionValue[{
                    ImageSize -> {Automatic, 19}, 
                    FrameMargins -> {9 {1, 1}, 0 {1, 1}}, BaselinePosition -> 
                    Baseline, Alignment -> {Center, Center}, Method -> 
                    "Preemptive", "ActiveQ" -> True, "TextColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonText"], 
                    "TextHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextHover"], "TextInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextInactive"], "BackColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonBack"], 
                    "BackHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackHover"], "BackMouseDownColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackMouseDown"], "BackInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackInactive"], "EdgeColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonEdge"], 
                    "EdgeHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeHover"], "EdgeInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeInactive"]}, {Method -> "Queued"}, 
                    "BackMouseDownColor"], 
                   CodeInspector`LinterUI`Private`hoverQ$$, 
                   
                   OptionValue[{
                    ImageSize -> {Automatic, 19}, 
                    FrameMargins -> {9 {1, 1}, 0 {1, 1}}, BaselinePosition -> 
                    Baseline, Alignment -> {Center, Center}, Method -> 
                    "Preemptive", "ActiveQ" -> True, "TextColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonText"], 
                    "TextHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextHover"], "TextInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextInactive"], "BackColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonBack"], 
                    "BackHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackHover"], "BackMouseDownColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackMouseDown"], "BackInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackInactive"], "EdgeColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonEdge"], 
                    "EdgeHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeHover"], "EdgeInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeInactive"]}, {Method -> "Queued"}, 
                    "BackHoverColor"], True, 
                   
                   OptionValue[{
                    ImageSize -> {Automatic, 19}, 
                    FrameMargins -> {9 {1, 1}, 0 {1, 1}}, BaselinePosition -> 
                    Baseline, Alignment -> {Center, Center}, Method -> 
                    "Preemptive", "ActiveQ" -> True, "TextColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonText"], 
                    "TextHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextHover"], "TextInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextInactive"], "BackColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonBack"], 
                    "BackHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackHover"], "BackMouseDownColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackMouseDown"], "BackInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackInactive"], "EdgeColor" -> 
                    CodeInspector`LinterUI`Private`colorData["ButtonEdge"], 
                    "EdgeHoverColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeHover"], "EdgeInactiveColor" -> 
                    CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeInactive"]}, {Method -> "Queued"}, 
                    "BackColor"]]]}, "Highlighted"], 
              CodeInspector`LinterUI`Private`hoverQ$$ = 
               CurrentValue["MouseOver"]; 
              CodeInspector`LinterUI`Private`mouseDownQ$$ = 
               CurrentValue["MouseButtonTest"]], 
             Appearance -> {
              "Default" -> 
               Image[RawArray["UnsignedInteger8",{{{255, 255, 255, 255}, {0, 
                  0, 0, 255}, {255, 255, 255, 255}}, {{0, 0, 0, 255}, {0, 0, 
                  0, 0}, {0, 0, 0, 255}}, {{255, 255, 255, 255}, {0, 0, 0, 
                  255}, {255, 255, 255, 255}}}], "Byte", ColorSpace -> "RGB", 
                 ImageResolution -> {72, 72}, Interleaving -> True], "Hover" -> 
               Image[RawArray["UnsignedInteger8",{{{255, 255, 255, 255}, {0, 
                  0, 0, 255}, {255, 255, 255, 255}}, {{0, 0, 0, 255}, {0, 0, 
                  0, 0}, {0, 0, 0, 255}}, {{255, 255, 255, 255}, {0, 0, 0, 
                  255}, {255, 255, 255, 255}}}], "Byte", ColorSpace -> "RGB", 
                 ImageResolution -> {72, 72}, Interleaving -> True], 
               "Pressed" -> 
               Image[RawArray["UnsignedInteger8",{{{255, 255, 255, 255}, {0, 
                  0, 0, 255}, {255, 255, 255, 255}}, {{0, 0, 0, 255}, {0, 0, 
                  0, 0}, {0, 0, 0, 255}}, {{255, 255, 255, 255}, {0, 0, 0, 
                  255}, {255, 255, 255, 255}}}], "Byte", ColorSpace -> "RGB", 
                 ImageResolution -> {72, 72}, Interleaving -> True]}, 
             BaselinePosition -> Baseline, 
             ButtonFunction :> (
              If[OptionValue[{
                  ImageSize -> {Automatic, 19}, 
                   FrameMargins -> {9 {1, 1}, 0 {1, 1}}, BaselinePosition -> 
                   Baseline, Alignment -> {Center, Center}, Method -> 
                   "Preemptive", "ActiveQ" -> True, "TextColor" -> 
                   CodeInspector`LinterUI`Private`colorData["ButtonText"], 
                   "TextHoverColor" -> 
                   CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextHover"], "TextInactiveColor" -> 
                   CodeInspector`LinterUI`Private`colorData[
                    "ButtonTextInactive"], "BackColor" -> 
                   CodeInspector`LinterUI`Private`colorData["ButtonBack"], 
                   "BackHoverColor" -> 
                   CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackHover"], "BackMouseDownColor" -> 
                   CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackMouseDown"], "BackInactiveColor" -> 
                   CodeInspector`LinterUI`Private`colorData[
                    "ButtonBackInactive"], "EdgeColor" -> 
                   CodeInspector`LinterUI`Private`colorData["ButtonEdge"], 
                   "EdgeHoverColor" -> 
                   CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeHover"], "EdgeInactiveColor" -> 
                   CodeInspector`LinterUI`Private`colorData[
                    "ButtonEdgeInactive"]}, {Method -> "Queued"}, "ActiveQ"] =!= 
                False, 
                CodeInspector`LinterUI`Private`attachAnalysisAction[
                 EvaluationNotebook[]]]; 
              CodeInspector`LinterUI`Private`mouseDownQ$$ = False), 
             ContentPadding -> False, Evaluator -> Automatic, Method -> 
             "Queued"], DynamicModuleValues :> {}], False -> ButtonBox[
            TemplateBox[{
              StyleBox[
              "\"Analyze Notebook\"", FontColor -> GrayLevel[0.2], FontFamily -> 
               "Source Sans Pro", FontWeight -> Plain, FontSize -> 14, 
               StripOnInput -> False], ImageSize -> {Automatic, 19}, 
              FrameMargins -> {{9, 9}, {0, 0}}, BaselinePosition -> Baseline, 
              Alignment -> {Center, Center}, Background -> GrayLevel[1], 
              FrameStyle -> Dynamic[
                If[
                 CurrentValue["MouseOver"], 
                 Hue[0.55, 0.82, 0.87], 
                 GrayLevel[0.8]]]}, "Highlighted"], 
            Appearance -> {
             "Default" -> 
              Image[RawArray["UnsignedInteger8",{{{255, 255, 255, 255}, {0, 0,
                  0, 255}, {255, 255, 255, 255}}, {{0, 0, 0, 255}, {0, 0, 0, 
                 0}, {0, 0, 0, 255}}, {{255, 255, 255, 255}, {0, 0, 0, 255}, {
                 255, 255, 255, 255}}}], "Byte", ColorSpace -> "RGB", 
                ImageResolution -> {72, 72}, Interleaving -> True], "Hover" -> 
              Image[RawArray["UnsignedInteger8",{{{255, 255, 255, 255}, {0, 0,
                  0, 255}, {255, 255, 255, 255}}, {{0, 0, 0, 255}, {0, 0, 0, 
                 0}, {0, 0, 0, 255}}, {{255, 255, 255, 255}, {0, 0, 0, 255}, {
                 255, 255, 255, 255}}}], "Byte", ColorSpace -> "RGB", 
                ImageResolution -> {72, 72}, Interleaving -> True], "Pressed" -> 
              Image[RawArray["UnsignedInteger8",{{{255, 255, 255, 255}, {0, 0,
                  0, 255}, {255, 255, 255, 255}}, {{0, 0, 0, 255}, {0, 0, 0, 
                 0}, {0, 0, 0, 255}}, {{255, 255, 255, 255}, {0, 0, 0, 255}, {
                 255, 255, 255, 255}}}], "Byte", ColorSpace -> "RGB", 
                ImageResolution -> {72, 72}, Interleaving -> True]}, 
            ButtonFunction :> (CurrentValue[
                EvaluationNotebook[], DockedCells] = 
              With[{LinterUIDockedCell`Private`dockedCells = CurrentValue[
                   EvaluationNotebook[], DockedCells]}, 
                Pick[LinterUIDockedCell`Private`dockedCells, 
                 Map[Quiet[
                    Options[#, CellTags]] =!= {
                   CellTags -> "CodeAnalysisDockedCell"}& , 
                  LinterUIDockedCell`Private`dockedCells]]]; 
             Needs["CodeInspector`"]; 
             CodeInspector`AttachAnalysis[
              LinterUIDockedCell`Private`notebook$$]), Evaluator -> Automatic,
             Method -> "Queued"]}, 
         Dynamic[FEPrivate`EvaluatorStatus["Local"]; TrueQ[
            CodeInspector`LinterUI`Private`varValue[
            LinterUIDockedCell`Private`notebook$$, "DockedCellPresentQ"]]], 
         ImageSize -> Automatic], 
        Offset[{-26, 0}, {1, 0}], {1, 0}], 
       TagBox[
        TagBox[
         TooltipBox[{{
            GrayLevel[0.6], 
            DiskBox[
             Offset[{-11, 0}, {1, 0}], 
             Offset[6]]}, {
            GrayLevel[0.97], 
            AbsoluteThickness[1.5], 
            CapForm["Round"], 
            LineBox[{{
               Offset[{-13, 2}, {1, 0}], 
               Offset[{-9, -2}, {1, 0}]}, {
               Offset[{-13, -2}, {1, 0}], 
               Offset[{-9, 2}, {1, 0}]}}]}}, "\"Close analysis\"", 
          TooltipDelay -> 0, TooltipStyle -> "TextStyling"], 
         Annotation[#, "Close analysis", "Tooltip"]& ], 
        EventHandlerTag[{"MouseClicked" :> (Map[NotebookDelete, 
             Flatten[
              CodeInspector`LinterUI`Private`varValue[
              LinterUIDockedCell`Private`notebook$$, All, 
               "UIAttachedCells"]]]; Map[NotebookDelete, 
             Flatten[
              CodeInspector`LinterUI`Private`varValue[
              LinterUIDockedCell`Private`notebook$$, All, 
               "CleanCellBracketMarker"]]]; CurrentValue[
              EvaluationNotebook[], DockedCells] = 
            With[{LinterUIDockedCell`Private`dockedCells = CurrentValue[
                 EvaluationNotebook[], DockedCells]}, 
              Pick[LinterUIDockedCell`Private`dockedCells, 
               Map[Quiet[
                  Options[#, CellTags]] =!= {
                 CellTags -> "CodeAnalysisDockedCell"}& , 
                LinterUIDockedCell`Private`dockedCells]]]; 
           CodeInspector`LinterUI`Private`applyToVar[Remove, {
              EvaluationNotebook[], All}]; 
           CodeInspector`LinterUI`Private`varSet[{
             LinterUIDockedCell`Private`notebook$$, "DockedCellPresentQ"}, 
             False]), Method -> "Preemptive", PassEventsDown -> Automatic, 
          PassEventsUp -> True}]]}, AspectRatio -> Full, 
      ImageSize -> {Full, 23}, PlotRange -> {{-1, 1}, {-1, 1}}], 
     Deinitialization :> 
     CodeInspector`LinterUI`Private`varSet[{
       LinterUIDockedCell`Private`notebook$$, "DockedCellPresentQ"}, False], 
     DynamicModuleValues :> {}, 
     Initialization :> ({
       LinterUIDockedCell`Private`dockedCellSeverityCountsButton[
          Pattern[LinterUIDockedCell`Private`notebook, 
           Blank[NotebookObject]]] := 
        With[{LinterUIDockedCell`Private`formatIcon = 
           Show[#, ImageSize -> {13, 9}, BaselinePosition -> Scaled[-0.2]]& }, 
          ActionMenu[
           Highlighted[
            Row[{
              CodeInspector`LinterUI`Private`lintSeverityCountsIconRow[
              LinterUIDockedCell`Private`notebook, "exclamSize" -> 12, 
               FontSize -> 14, FontWeight -> Plain], 
              Spacer[2], 
              LinterUIDockedCell`Private`formatIcon[
               CodeInspector`LinterUI`Private`iconData["DownChevron"][
                CodeInspector`LinterUI`Private`colorData["UIDark"]]]}], 
            ImageSize -> {Automatic, 19}, BaselinePosition -> Baseline, 
            Background -> White, Frame -> True, FrameStyle -> Dynamic[
              If[
               CurrentValue["MouseOver"], 
               Hue[0.55, 0.82, 0.87], 
               GrayLevel[0.8]]], FrameMargins -> {6 {1, 1}, {1, 1}}, 
            Alignment -> {Center, Baseline}], 
           Map[
           LinterUIDockedCell`Private`dockedCellMenuItem[
            LinterUIDockedCell`Private`notebook, #]& , 
            CodeInspector`LinterUI`Private`varValue[
            LinterUIDockedCell`Private`notebook, All, "Cell"]], Appearance -> 
           None]], LinterUIDockedCell`Private`dockedCellMenuItem[
          Pattern[LinterUIDockedCell`Private`notebook, 
           Blank[NotebookObject]], 
          Pattern[LinterUIDockedCell`Private`cell, 
           Blank[CellObject]]] := With[{}, Graphics[{
             Inset[
              With[{LinterUIDockedCell`Private`expressionString = First[
                  FrontEndExecute[
                   FrontEnd`ExportPacket[
                    First[
                    CodeInspector`LinterUI`Private`varValue[
                    LinterUIDockedCell`Private`notebook, 
                    LinterUIDockedCell`Private`cell, "CellContents"]], 
                    "InputText"]]]}, {
               LinterUIDockedCell`Private`noLineBreaks = 
                StringReplace[
                 LinterUIDockedCell`Private`expressionString, "\n" -> " "]}, {
               LinterUIDockedCell`Private`previewString = 
                StringTake[LinterUIDockedCell`Private`noLineBreaks, {1, 
                   UpTo[LinterUIDockedCell`Private`$previewLength]}]}, 
               CodeInspector`LinterUI`Private`styleData["FixedWidth"][
                If[
                StringLength[LinterUIDockedCell`Private`expressionString] > 
                 LinterUIDockedCell`Private`$previewLength, 
                 StringDrop[LinterUIDockedCell`Private`previewString, -1] <> 
                 "\[Ellipsis]", 
                 LinterUIDockedCell`Private`previewString]]], {-1, 0}, {-1, 
              0}], 
             Inset[
              CodeInspector`LinterUI`Private`lintSeverityCountsIconRow[
              LinterUIDockedCell`Private`cell], {1, 0}, {1, 0}]}, 
            ImageSize -> {300, 25}, AspectRatio -> Full, 
            PlotRange -> {{-1, 1}, {-1, 1}}, ImagePadding -> None] :> (
           SelectionMove[LinterUIDockedCell`Private`cell, All, Cell]; 
           With[{LinterUIDockedCell`Private`nb = 
              ParentNotebook[LinterUIDockedCell`Private`cell]}, 
             FrontEndExecute[
              FrontEnd`FrontEndToken[
              LinterUIDockedCell`Private`nb, "OpenSelectionParents"]]]; 
           SelectionMove[LinterUIDockedCell`Private`cell, After, Cell])], 
        LinterUIDockedCell`Private`$previewLength = 28, 
        CodeInspector`LinterUI`Private`applyToVar[
          Pattern[CodeInspector`LinterUI`Private`function, 
           Blank[]], {
           Pattern[CodeInspector`LinterUI`Private`notebook, 
            Blank[NotebookObject]], All, 
           Pattern[CodeInspector`LinterUI`Private`name, 
            Blank[String]]}, 
          Pattern[CodeInspector`LinterUI`Private`args, 
           BlankNullSequence[]]] := 
        Map[Apply[CodeInspector`LinterUI`Private`function, 
           Join[
            ToHeldExpression[#], 
            Hold[CodeInspector`LinterUI`Private`args]]]& , 
          
          Names[(CodeInspector`LinterUI`Private`varNameString[
             CodeInspector`LinterUI`Private`notebook] <> "*") <> 
           CodeInspector`LinterUI`Private`name]], Null, 
        CodeInspector`LinterUI`Private`applyToVar[
          Pattern[CodeInspector`LinterUI`Private`function, 
           Blank[]], {
           Pattern[CodeInspector`LinterUI`Private`nameArguments, 
            BlankSequence[]], 
           Pattern[CodeInspector`LinterUI`Private`name, 
            Blank[String]]}, 
          Pattern[CodeInspector`LinterUI`Private`args, 
           BlankNullSequence[]]] := 
        Apply[CodeInspector`LinterUI`Private`function, 
          Join[
           ToHeldExpression[
            CodeInspector`LinterUI`Private`varNameString[
            CodeInspector`LinterUI`Private`nameArguments]], 
           Hold[CodeInspector`LinterUI`Private`args]]], Null, 
        CodeInspector`LinterUI`Private`applyToVar[
          Pattern[CodeInspector`LinterUI`Private`function, 
           Blank[]], {
           Pattern[CodeInspector`LinterUI`Private`nameArguments, 
            BlankSequence[]], All}, 
          Pattern[CodeInspector`LinterUI`Private`args, 
           BlankNullSequence[]]] := 
        Map[Apply[CodeInspector`LinterUI`Private`function, 
           Join[
            ToHeldExpression[#], 
            Hold[CodeInspector`LinterUI`Private`args]]]& , 
          Names[
          CodeInspector`LinterUI`Private`varNameString[
            CodeInspector`LinterUI`Private`nameArguments] <> "*"]], 
        CodeInspector`LinterUI`Private`varValue[
          Pattern[CodeInspector`LinterUI`Private`notebook, 
           Blank[NotebookObject]], All, 
          Pattern[CodeInspector`LinterUI`Private`name, 
           Blank[String]]] := Map[Symbol, 
          
          Names[(CodeInspector`LinterUI`Private`varNameString[
             CodeInspector`LinterUI`Private`notebook] <> "*") <> 
           CodeInspector`LinterUI`Private`name]], Null, 
        CodeInspector`LinterUI`Private`varValue[
          Pattern[CodeInspector`LinterUI`Private`nameArguments, 
           BlankSequence[]], 
          Pattern[CodeInspector`LinterUI`Private`name, 
           Blank[String]]] := Symbol[
          CodeInspector`LinterUI`Private`varNameString[
          CodeInspector`LinterUI`Private`nameArguments, 
           CodeInspector`LinterUI`Private`name]], Null, 
        CodeInspector`LinterUI`Private`varValue[
          Pattern[CodeInspector`LinterUI`Private`nameArguments, 
           BlankSequence[]], All] := Map[Symbol, 
          Names[
          CodeInspector`LinterUI`Private`varNameString[
            CodeInspector`LinterUI`Private`nameArguments] <> "*"]], 
        CodeInspector`LinterUI`Private`varSet[{
           Pattern[CodeInspector`LinterUI`Private`nameArguments, 
            BlankSequence[]]}, 
          Pattern[CodeInspector`LinterUI`Private`value, 
           Blank[]]] := Apply[Set, 
          Append[
           ToHeldExpression[
            CodeInspector`LinterUI`Private`varNameString[
            CodeInspector`LinterUI`Private`nameArguments]], 
           CodeInspector`LinterUI`Private`value]], 
        CodeInspector`LinterUI`Private`varNameString[
          Pattern[CodeInspector`LinterUI`Private`notebook, 
           Blank[NotebookObject]]] := ((
           "CodeInspector`LinterUI`Private`Vars`" <> "$$") <> 
          With[{CodeInspector`LinterUI`Private`nbID = 
             Last[CodeInspector`LinterUI`Private`notebook]}, 
            If[
             StringQ[CodeInspector`LinterUI`Private`nbID], 
             StringReplace[CodeInspector`LinterUI`Private`nbID, "-" -> "$"], 
             ToString[CodeInspector`LinterUI`Private`nbID]]]) <> "$$", Null, 
        CodeInspector`LinterUI`Private`varNameString[
          Pattern[CodeInspector`LinterUI`Private`cell, 
           Blank[CellObject]]] := (
          CodeInspector`LinterUI`Private`varNameString[
            Replace[
             ParentNotebook[CodeInspector`LinterUI`Private`cell], $Failed -> 
             EvaluationNotebook[]]] <> 
          With[{CodeInspector`LinterUI`Private`cellID = 
             First[CodeInspector`LinterUI`Private`cell]}, 
            If[
             StringQ[CodeInspector`LinterUI`Private`cellID], 
             StringReplace[CodeInspector`LinterUI`Private`cellID, "-" -> "$"], 
             ToString[CodeInspector`LinterUI`Private`cellID]]]) <> "$$", Null,
         CodeInspector`LinterUI`Private`varNameString[
          Pattern[CodeInspector`LinterUI`Private`notebook, 
           Blank[NotebookObject]], 
          Pattern[CodeInspector`LinterUI`Private`cell, 
           Blank[CellObject]]] := (
          CodeInspector`LinterUI`Private`varNameString[
           CodeInspector`LinterUI`Private`notebook] <> 
          With[{CodeInspector`LinterUI`Private`cellID = 
             First[CodeInspector`LinterUI`Private`cell]}, 
            If[
             StringQ[CodeInspector`LinterUI`Private`cellID], 
             StringReplace[CodeInspector`LinterUI`Private`cellID, "-" -> "$"], 
             ToString[CodeInspector`LinterUI`Private`cellID]]]) <> "$$", Null,
         CodeInspector`LinterUI`Private`varNameString[
          Pattern[CodeInspector`LinterUI`Private`notebook, 
           Blank[NotebookObject]], 
          Pattern[CodeInspector`LinterUI`Private`name, 
           Blank[String]]] := 
        CodeInspector`LinterUI`Private`varNameString[
          CodeInspector`LinterUI`Private`notebook] <> 
         CodeInspector`LinterUI`Private`name, Null, 
        CodeInspector`LinterUI`Private`varNameString[
          Pattern[CodeInspector`LinterUI`Private`cell, 
           Blank[CellObject]], 
          Pattern[CodeInspector`LinterUI`Private`name, 
           Blank[String]]] := 
        CodeInspector`LinterUI`Private`varNameString[
          CodeInspector`LinterUI`Private`cell] <> 
         CodeInspector`LinterUI`Private`name, Null, 
        CodeInspector`LinterUI`Private`varNameString[
          Pattern[CodeInspector`LinterUI`Private`notebook, 
           Blank[NotebookObject]], 
          Pattern[CodeInspector`LinterUI`Private`cell, 
           Blank[CellObject]], 
          Pattern[CodeInspector`LinterUI`Private`name, 
           Blank[String]]] := 
        CodeInspector`LinterUI`Private`varNameString[
          CodeInspector`LinterUI`Private`notebook, 
           CodeInspector`LinterUI`Private`cell] <> 
         CodeInspector`LinterUI`Private`name, Null, 
        CodeInspector`LinterUI`Private`varNameString[
          Pattern[CodeInspector`LinterUI`Private`nameArguments, 
           BlankSequence[]], 
          Pattern[CodeInspector`LinterUI`Private`lint, 
           Blank[CodeInspector`InspectionObject]], 
          Pattern[CodeInspector`LinterUI`Private`name, 
           Blank[String]]] := ((
           CodeInspector`LinterUI`Private`varNameString[
            CodeInspector`LinterUI`Private`nameArguments] <> Apply[Sequence, 
             Riffle[
              Map[StringDelete[
                ToString[#], 
                Alternatives["[", "]", "{", "}", ",", " "]]& , 
               CodeInspector`LinterUI`Private`extractFirstList[
                Last[CodeInspector`LinterUI`Private`lint][
                CodeParser`Source]]], "$"]]) <> "$$") <> 
         CodeInspector`LinterUI`Private`name, 
        CodeInspector`LinterUI`Private`extractFirstList[
          Pattern[CodeInspector`LinterUI`Private`expr, 
           Blank[]]] := FirstCase[CodeInspector`LinterUI`Private`expr, 
          Blank[List], {}, {0, Infinity}]}; 
      LinterUIDockedCell`Private`notebook$$ = EvaluationNotebook[]), 
     UnsavedVariables :> {LinterUIDockedCell`Private`notebook$$}]], 
   CellFrame -> {{0, 0}, {1, 1}}, CellFrameMargins -> {{0, 0}, {0, 0}}, 
   CellFrameColor -> GrayLevel[0.85], Background -> GrayLevel[0.97], CellTags -> 
   "CodeAnalysisDockedCell"]},
CellContext->Notebook,
FrontEndVersion->"13.2 for Microsoft Windows (64-bit) (January 30, 2023)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"6a9c9c2a-bd35-4afd-9109-ed8ab899c301"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 13343, 381, 1089, "Input",ExpressionUUID->"e65ae70b-243e-4fb6-81c8-f06387f540bc"],
Cell[13926, 405, 8630, 250, 447, "Output",ExpressionUUID->"a6b791b5-153d-4f5d-ba84-8d3cf1175a76"],
Cell[22559, 657, 5045, 120, 225, "Output",ExpressionUUID->"ea51b1e7-1903-4e0e-acf7-8512d8d65b0f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27641, 782, 4002, 97, 298, "Input",ExpressionUUID->"1ce3b73b-2349-4aa3-8dcc-ca394150b89b"],
Cell[31646, 881, 8978, 254, 447, "Output",ExpressionUUID->"32174c59-375c-49d7-bc06-2cb9b3b7bb5c"],
Cell[40627, 1137, 5372, 124, 225, "Output",ExpressionUUID->"b1823f35-66e6-4015-a13a-36ccb321b81b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[46036, 1266, 265, 6, 44, "Input",ExpressionUUID->"56fff4d3-69b2-4c99-81c3-733576b1d817"],
Cell[46304, 1274, 6360, 143, 225, "Output",ExpressionUUID->"1f0fa0e4-173d-4b30-8f5f-4caa5fd72831"]
}, Open  ]],
Cell[52679, 1420, 179, 3, 28, "Input",ExpressionUUID->"e3194001-3217-4852-99a4-a4a74901f9c6"]
}
]
*)

